> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-notifications/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Retrieves a list of notifications GET https://app.unleash-instance.example.com/api/admin/notifications **Enterprise feature** A user may get relevant notifications from the projects they are a member of Reference: https://docs.getunleash.io/api/get-notifications ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Response ### 200 notificationsSchema - `list of NotificationsSchemaItems` ## Types ### NotificationsSchemaItems - `id` (double, required) — The id of this notification - `message` (string, required) — The actual notification message - `link` (string, required) — The link to change request or feature flag the notification refers to - `notificationType` (enum, required) — The type of the notification used e.g. for the graphical hints - Allowed values: `change-request`, `toggle` - `createdBy` (NotificationsSchemaItemsCreatedBy, required) - `createdAt` (string, required) — The date and time when the notification was created - `readAt` (string, required, nullable) — The date and time when the notification was read or marked as read, otherwise `null` ### NotificationsSchemaItemsCreatedBy - `username` (string, optional, nullable) — The name of the user who triggered the notification - `imageUrl` (string, optional, nullable) — The avatar url of the user who triggered the notification ## Examples **Response** ```json [ { "id": 1, "message": "Your change request got approved", "link": "/myunleash/projects/myproject/change-requests/46", "notificationType": "change-request", "createdBy": { "username": "Jane Smith", "imageUrl": "https://gravatar.com/avatar/758f27d1f066779a62a65665242b8780107df403509a62a9e8a5924df5469f68?s=42&d=retro&r=g" }, "createdAt": "2022-12-02T13:17:12.445Z", "readAt": "2022-12-02T13:17:12.445Z" } ] ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/notifications" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/notifications'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/notifications" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/notifications") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/notifications") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/notifications', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/notifications"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/notifications")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```